<?php
/**
 * Recommended plugins
 *
 * @package Travel_Gem
 */

if ( ! function_exists( 'travel_gem_recommended_plugins' ) ) :

	/**
	 * Recommend plugins.
	 *
	 * @since 1.0.0
	 */
	function travel_gem_recommended_plugins() {

		$plugins = array(
			array(
				'name'     => esc_html__( 'Page Builder by SiteOrigin', 'travel-gem-pro' ),
				'slug'     => 'siteorigin-panels',
				'required' => true,
			),
			array(
				'name'     => esc_html__( 'SiteOrigin Widgets Bundle', 'travel-gem-pro' ),
				'slug'     => 'so-widgets-bundle',
				'required' => true,
			),
			array(
				'name'     => esc_html__( 'WP Travel', 'travel-gem-pro' ),
				'slug'     => 'wp-travel',
				'required' => true,
			),
			array(
				'name'     => esc_html__( 'Contact Form 7', 'travel-gem-pro' ),
				'slug'     => 'contact-form-7',
				'required' => false,
			),
			array(
				'name'     => esc_html__( 'One Click Demo Import', 'travel-gem-pro' ),
				'slug'     => 'one-click-demo-import',
				'required' => false,
			),
		);

		tgmpa( $plugins );

	}

endif;

add_action( 'tgmpa_register', 'travel_gem_recommended_plugins' );
