<?php
/**
 * Address widget
 *
 * Widget Name: Travel Gem Address
 * Description: Displays contact address details.
 * Author: WEN Themes
 * Author URI: https://wenthemes.com
 *
 * @package Travel_Gem
 */

/**
 * Address widget class.
 *
 * @since 1.0.0
 */
class Travel_Gem_Address_Widget extends SiteOrigin_Widget {

	/**
	 * Constructor.
	 *
	 * @since 1.0.0
	 */
	function __construct() {

		parent::__construct(
			'travel-gem-address',
			esc_html__( 'Travel Gem: Address', 'travel-gem-pro' ),
			array(
				'description' => esc_html__( 'Displays contact address details.', 'travel-gem-pro' ),
			),
			array(),
			false,
			plugin_dir_path( __FILE__ )
		);
	}

	/**
	 * Get widget form.
	 *
	 * @since 1.0.0
	 *
	 * @return array Widget form.
	 */
	function get_widget_form() {

		return array(
			'title' => array(
				'type'  => 'text',
				'label' => esc_html__( 'Title', 'travel-gem-pro' ),
				),
			'heading_alignment' => array(
				'label'   => esc_html__( 'Title Alignment', 'travel-gem-pro' ),
				'type'    => 'select',
				'default' => 'center',
				'options' => travel_gem_get_heading_alignment_options(),
				),
			'address_repeater' => array(
				'type'       => 'repeater',
				'label'      => esc_html__( 'Enter Contact Details.', 'travel-gem-pro' ),
				'item_name'  => esc_html__( 'Details', 'travel-gem-pro' ),
				'item_label' => array(
					'selector'     => "[id*='address_repeater-contact']",
					'update_event' => 'change',
					'value_method' => 'val',
					),
				'fields' => array(
					'icon' => array(
						'type'  => 'icon',
						'label' => esc_html__( 'Select Icon', 'travel-gem-pro' ),
						),
					'contact' => array(
						'type'  => 'text',
						'label' => esc_html__( 'Enter Address Details like Phone Number / Address / Location', 'travel-gem-pro' ),
						),
					'contact_detail' => array(
						'type'  => 'text',
						'label' => esc_html__( 'Enter Details for Above Fields', 'travel-gem-pro' ),
						),
					),
				),
			);
	}

}

siteorigin_widget_register( 'travel-gem-address', __FILE__, 'Travel_Gem_Address_Widget' );
