<?php
/**
 * Widget template
 *
 * @package Travel_Gem
 */

?>

<div class="section section-featured-page heading-<?php echo esc_attr( $instance['heading_alignment'] ); ?>">
		<?php
		$image = siteorigin_widgets_get_attachment_image_src(
			$instance['main_image'],
			$instance['main_image_size'],
			! empty( $instance['main_image_fallback'] ) ? $instance['main_image_fallback'] : false
		);
		?>
		<?php if ( false !== $image ) : ?>
			<img class="align<?php echo esc_attr( $instance['main_image_alignment'] ); ?>" alt="" src="<?php echo esc_url( $image[0] ); ?>">
		<?php endif; ?>

		<div class="featured-page-section">
			<?php if ( ! empty( $instance['title'] ) ) : ?>
				<?php echo $args['before_title'] . esc_html( $instance['title'] ) . $args['after_title']; ?>
			<?php endif; ?>

			<?php if ( ! empty( $instance['intro'] ) ) : ?>
				<?php echo wp_kses_post( wpautop( $instance['intro'] ) ); ?>
			<?php endif; ?>

			<?php if ( ! empty( $instance['more_button_url'] ) && ! empty( $instance['more_button_text'] ) ) : ?>
				<a href="<?php echo sow_esc_url( $instance['more_button_url'] ); ?>" class="custom-button"><?php echo esc_html( $instance['more_button_text'] ); ?></a>
			<?php endif; ?>

		</div><!-- .featured-page-section -->
</div><!-- .section-featured-page -->
