<?php
/**
 * Widget template
 *
 * @package Travel_Gem
 */

?>

<div class="section section-services heading-<?php echo esc_attr( $instance['heading_alignment'] ); ?>">
		<?php if ( ! empty( $instance['title'] ) ) : ?>
			<?php echo $args['before_title'] . esc_html( $instance['title'] ) . $args['after_title']; ?>
		<?php endif; ?>

		<?php if ( ! empty( $instance['subtitle'] ) ) : ?>
			<p class="widget-subtitle"><?php echo esc_html( $instance['subtitle'] ); ?></p>
		<?php endif; ?>

		<?php if ( ! empty( $instance['services'] ) ) : ?>
			<div class="service-block-list service-layout-<?php echo absint( $instance['settings']['layout'] ); ?> service-col-<?php echo absint( $instance['settings']['post_column'] ); ?>">
				<div class="inner-wrapper">

					<?php foreach ( $instance['services'] as $service ) : ?>

						<?php
						$link_open = '';
						$link_close = '';
						if ( ! empty( $service['service_url'] ) ) {
							$link_open = '<a href="' . sow_esc_url( $service['service_url'] ) . '"';
							if ( true === $instance['settings']['new_window'] ) {
								$link_open .= ' target="_blank"';
							}
							$link_open .= '>';
							$link_close = '</a>';
						}
						?>

						<div class="service-block-item">
							<div class="service-block-inner">
								<?php if ( ! empty( $service['service_icon'] ) ) : ?>
									<div class="service-icon-wrap">
										<?php
										$icon_styles = array();
										if ( ! empty( $service['service_icon_color'] ) ) {
											$icon_styles[] = 'color:' . esc_html( $service['service_icon_color'] );
										}
										echo $link_open . siteorigin_widget_get_icon( $service['service_icon'], $icon_styles ) . $link_close;?>
									</div><!-- .service-icon-wrap -->
								<?php endif; ?>

								<div class="service-block-inner-content">

									<?php if ( ! empty( $service['service_title'] ) ) : ?>
										<h3 class="service-item-title"><?php echo $link_open . esc_html( $service['service_title'] ) . $link_close; ?></h3>
									<?php endif; ?>
									<?php if ( ! empty( $service['service_description'] ) ) : ?>
										<div class="service-block-item-excerpt">
											<?php echo wp_kses_post( wpautop( $service['service_description'] ) ); ?>
										</div><!-- .service-block-item-excerpt -->
									<?php endif; ?>

								</div><!-- .service-block-inner-content -->
							</div> <!-- .service-block-inner -->
						</div> <!-- .service-block-item -->

					<?php endforeach; ?>

				</div><!-- .inner-wrapper -->
			</div><!-- .service-block-list -->
		<?php endif; ?>
</div><!-- .section section-services -->
