<?php
/**
 * Widget template
 *
 * @package Travel_Gem
 */

?>

<div class="section section-project heading-<?php echo esc_attr( $instance['heading_alignment'] ); ?>">
		<?php if ( ! empty( $instance['title'] ) ) : ?>
			<?php echo $args['before_title'] . esc_html( $instance['title'] ) . $args['after_title']; ?>
		<?php endif; ?>

		<?php if ( ! empty( $instance['subtitle'] ) ) : ?>
			<p class="widget-subtitle"><?php echo esc_html( $instance['subtitle'] ); ?></p>
		<?php endif; ?>

		<?php if ( ! empty( $instance['showcase'] ) ) : ?>
			<div class="project-section">
				<?php $cnt = 0; ?>
				<?php foreach ( $instance['showcase'] as $article ) : ?>
					<?php
					$link_open = '';
					$link_close = '';
					if ( ! empty( $article['item_url'] ) ) {
						$link_open = '<a href="' . sow_esc_url( $article['item_url'] ) . '"';
						if ( true === $instance['settings']['new_window'] ) {
							$link_open .= ' target="_blank"';
						}
						$link_open .= '>';
						$link_close = '</a>';
					}
					$alignment_class = ( 0 === $cnt % 2 ) ? 'alignright' : 'alignleft';
					?>
					<div class="project-block">
						<div class="project-inner">
							<?php
							$image = siteorigin_widgets_get_attachment_image_src(
								$article['item_image'],
								'large',
								! empty( $article['item_image_fallback'] ) ? $article['item_image_fallback'] : false
							);
							?>
							<div class="project-thumb <?php echo esc_attr( $alignment_class ); ?>">
								<?php if ( false !== $image ) : ?>
									<img src="<?php echo esc_url( $image[0] ); ?>" alt="" />
								<?php endif; ?>
							</div><!-- .project-thumb -->

							<div class="featured-project-section">
								<?php if ( ! empty( $article['item_type'] ) ) : ?>
									<div class="featured-project-meta">
										<span class="featured-project-category"><?php echo esc_html( $article['item_type'] ); ?></span>
									</div><!-- .featured-project-meta -->
								<?php endif; ?>
								<?php if ( ! empty( $article['item_title'] ) ) : ?>
									<h3><?php echo $link_open . esc_html( $article['item_title'] ) . $link_close; ?></h3>
								<?php endif; ?>

								<?php if ( ! empty( $article['item_description'] ) ) : ?>
									<?php echo wp_kses_post( wpautop( $article['item_description'] ) ); ?>
								<?php endif; ?>

								<?php if ( ! empty( $article['item_url'] ) ) : ?>
									<a href="<?php echo sow_esc_url( $article['item_url'] ); ?>" class="custom-button" <?php if ( true === $instance['settings']['new_window'] ) { echo ' target="_blank" '; } ?>><?php echo esc_html( $instance['settings']['more_button_text'] ); ?></a>
								<?php endif; ?>
							</div><!-- .featured-project-section -->
						</div><!-- .project-inner -->
					</div><!-- .project-block -->
					<?php $cnt++; ?>
				<?php endforeach; ?>
			</div><!-- .project-section -->
		<?php endif; ?>
</div><!-- .section-project -->
