<?php
/**
 * Widget template
 *
 * @package Travel_Gem
 */

?>

<aside class="section section-testimonial-carousel heading-<?php echo esc_attr( $instance['heading_alignment'] ); ?>">
		<?php if ( ! empty( $instance['title'] ) ) : ?>
			<?php echo $args['before_title'] . esc_html( $instance['title'] ) . $args['after_title']; ?>
		<?php endif; ?>

		<?php if ( ! empty( $instance['subtitle'] ) ) : ?>
			<p class="widget-subtitle"><?php echo esc_html( $instance['subtitle'] ); ?></p>
		<?php endif; ?>

		<?php if ( ! empty( $instance['testimonials'] ) ) : ?>
			<?php
			$carousel_args = array(
				'slidesToShow'   => 3,
				'slidesToScroll' => 1,
				'dots'           => false,
				'prevArrow'      => '<span data-role="none" class="slick-prev" tabindex="0"><i class="fas fa-angle-left" aria-hidden="true"></i></span>',
				'nextArrow'      => '<span data-role="none" class="slick-next" tabindex="0"><i class="fas fa-angle-right" aria-hidden="true"></i></span>',
				'responsive'     => array(
					array(
						'breakpoint' => 1024,
						'settings'   => array(
							'slidesToShow' => 1,
							),
						),
					),
				);

			if ( true === $instance['settings']['enable_autoplay'] ) {
				$carousel_args['autoplay']      = true;
				$carousel_args['autoplaySpeed'] = 1000 * absint( $instance['settings']['transition_delay'] );
			}

			$carousel_args_encoded = wp_json_encode( $carousel_args );
			?>
			<div class="testimonial-carousel-wrapper" data-slick='<?php echo $carousel_args_encoded; ?>'>

				<?php foreach ( $instance['testimonials'] as $testimonial ) : ?>

					<div class="testimonial-item">
						<?php if ( ! empty( $testimonial['testimonial_message'] ) ) : ?>
							<div class="testimonial-summary">
								<?php echo wp_kses_post( wpautop( $testimonial['testimonial_message'] ) ); ?>
							</div><!-- .testimonial-summary -->
						<?php endif; ?>

						<div class="testimonial-thumb">
							<?php
							$image = siteorigin_widgets_get_attachment_image_src(
								$testimonial['testimonial_image'],
								'thumbnail',
								! empty( $testimonial['testimonial_image_fallback'] ) ? $testimonial['testimonial_image_fallback'] : false
							);
							?>
							<?php if ( false !== $image ) : ?>
								<img src="<?php echo esc_url( $image[0] ); ?>" alt="" />
							<?php endif; ?>

							<?php if ( ! empty( $testimonial['testimonial_name'] ) ) : ?>
								<h3><?php echo esc_html( $testimonial['testimonial_name'] ); ?></h3>
							<?php endif; ?>
							<?php if ( ! empty( $testimonial['testimonial_location'] ) ) : ?>
								<p><?php echo esc_html( $testimonial['testimonial_location'] ); ?></p>
							<?php endif; ?>
						</div><!-- .testimonial-thumb -->
					</div><!-- .testimonial-item  -->
				<?php endforeach; ?>

			</div><!-- .testimonial-carousel-wrapper -->
		<?php endif; ?>

</aside><!-- .section section-testimonial-carousel -->
